---------------------------------------------------------------------------------------------------------------------------------------------------------

//Резерв C# команд (Win Forms)

//Авторизация через базу данных:

   using (var db = new LeTest5Entities())
            {
                var Users1 = db.Users1.AsNoTracking().FirstOrDefault(u => u.login == textBox1.Text && u.pass == textBox2.Text);

                if (Users1 == null)
                {
                    label4.Text = "Неверный логин/пароль";
                    return;
                }

                switch (Users1.status)
                {
                    case "admin":
                        {
                            admin123 sf = new admin123();
                            sf.Owner = this;
                            sf.Show();
                            this.Hide();

                            MessageBox.Show("Добро пожаловать админ!");
                            break;
                        }

                    case "operator":
                        {
                            Products sf = new Products();
                            sf.Owner = this;
                            sf.Show();
                            this.Hide();
                            MessageBox.Show("Добро пожаловать оператор!");
                            break;
                        }
                }
            }


---------------------------------------------------------------------------------------------------------------------------------------------------------


//Регистрация в базе данных:

   using (var db = new LeTest5Entities())
            {
                if (string.IsNullOrEmpty(textBox1.Text) | string.IsNullOrEmpty(textBox2.Text) | string.IsNullOrEmpty(textBox3.Text))
                {

                }
                else
                {
                    bool registr = db.Users1.Any(u => u.login == textBox1.Text|u.pass == textBox2.Text);
                    if (!registr)
                    {
                        
                        db.Database.ExecuteSqlCommand($"INSERT INTO Users1 (login, pass, status)\nVALUES('{textBox1.Text}','{textBox2.Text}','{textBox3.Text}');");
                        
                    }
                    else
                    { 
                    
                    }
                }

            }


---------------------------------------------------------------------------------------------------------------------------------------------------------

//Переход по страницам
  
    admin123 sf = new admin123();
    sf.Owner = this;
    sf.Show();
    this.Hide();

---------------------------------------------------------------------------------------------------------------------------------------------------------

  //Вывод сообщения
  
MessageBox.Show("Добро пожаловать админ!");

---------------------------------------------------------------------------------------------------------------------------------------------------------

  //Открыть дочернюю страницу
  
            registration sf = new registration();
            sf.Owner = this;
            sf.Show();

---------------------------------------------------------------------------------------------------------------------------------------------------------

    //Поиск по базе данных (таблица)
  
private void button1_Click(object sender, EventArgs e)
        {
            Form1 main = this.Owner as Form1;
            if (main != null)
            {
                for (int i = 0; i < main.dataGridView1.RowCount; i++)
                {
                    main.dataGridView1.Rows[i].Selected = false;
                    for (int j = 0; j < main.dataGridView1.ColumnCount; j++)
                        if (main.dataGridView1.Rows[i].Cells[j].Value != null)
                        if (main.dataGridView1.Rows[i].Cells[j].Value.ToString().Contains(tbStr.Text))
                            {
                                main.dataGridView1.Rows[i].Selected = true;
                                break;
                            }
                }
            }
        }


---------------------------------------------------------------------------------------------------------------------------------------------------------

      //Операции с базой данных (кнопки)
  
private void button1_Click(object sender, EventArgs e)
{
студентыBindingSource.MoveFirst(); //первый
}
private void button2_Click(object sender, EventArgs e)
{
студентыBindingSource.MovePrevious(); //предыдущий
}
private void button3_Click(object sender, EventArgs e)
{
студентыBindingSource.AddNew(); //добавить
}
private void button4_Click(object sender, EventArgs e)
{
студентыBindingSource.MoveLast(); //последний
}
private void button5_Click(object sender, EventArgs e)
{
студентыBindingSource.MoveNext(); //следующий
}
private void button6_Click(object sender, EventArgs e)
{
студентыBindingSource.RemoveCurrent(); //удалить
}
private void button7_Click(object sender, EventArgs e)
{
this.Validate();
this.студентыBindingSource.EndEdit();
this.tableAdapterManager.UpdateAll(this.studentsDataSet); //сохранить
}

---------------------------------------------------------------------------------------------------------------------------------------------------------

  
  
  
  
